Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on Mar 9, 2010
  1. Updated gemspec.

    authored
  2. Version bump to 0.2.0

    authored
  3. Updated the history.

    authored
  4. Updated readme.

    authored
  5. Added #allow_real_http cassette option, that allows real http request…

    authored
    …s for URLs that return true for the given lambda.
  6. Added a global before/after that sets default settings for VCR and fa…

    authored
    …keweb, so our specs don't have to keep setting things back to the defaults in their own before and after blocks.
  7. Changed the configuration option to have a default_cassette_options h…

    authored
    …ash. #default_cassette_record_mode is deprecated.
Commits on Mar 4, 2010
  1. Regenerated gemspec.

    authored
  2. Version bump to 0.1.2

    authored
  3. Added history.rdoc.

    authored
  4. Got things to work for when a cassette records multiple requests made…

    authored
    … to the same URL with the same HTTP verb, but different responses. We have to register an array of responses with fakeweb.
  5. Fixed our Net::HTTP monkey patch so that it only stores a the recorde…

    authored
    …d response once per request. Internally, Net::HTTP#request recursively calls itself (passing slightly different arguments) in certain circumstances.
  6. Fixed spec name.

    authored
Commits on Mar 3, 2010
  1. Updated README.

    authored
Commits on Feb 26, 2010
  1. Adding gemspec.

    authored
  2. Version bump to 0.1.1

    authored
Commits on Feb 25, 2010
  1. Version bump to 0.1.0

    authored
  2. Updated the readme.

    authored
  3. Set the global settings in before/after blocks to allow specs to pass…

    authored
    …. I guess these settings were set by luck before, because I wasn't getting the failures I'm getting now.
  4. Apparently different versions of ruby dump yaml differently (I didn't…

    authored
    … know that before). The yaml files I dumped while running ruby 1.9.1 don't work when running the specs under 1.8.6.
    
    To fix this, I've split up the yaml fixtures into separate directories for each ruby version.
  5. String#start_with? is a handy method, but it's not available in Ruby …

    authored
    …1.8.6. Use a regex instead so it works on ruby 1.8.6, 1.8.7 and 1.9.1.
Something went wrong with that request. Please try again.